# 广东省人民政府（省级门户，模板可能与地市不同）
# 状态：模板草稿 — 真实站点验证前保持 enabled: false。

site_id: gd
site_name: 广东省人民政府
base_url: https://www.gd.gov.cn
default_strategy: httpx        # 省级站点偶尔不强反爬，先尝试 Tier 2
concurrency: 1
interval_sec: 5
enabled: false
respect_robots: true

columns:
  - column_id: szfwj
    name: 省政府文件
    category: 法规文件
    list_url: https://www.gd.gov.cn/gkmlpt/policy/
    list_selector:
      row: "ul.news-list li, ul.list li, div.items li"
      href: "a::attr(href)"
      title: "a::text"
      date: "span.date::text, span.time::text, em.date::text"
    pagination:
      type: page_param
      param: page
      max_pages: 5
    detail:
      title: "h1.news_title::text, h1::text, div.article-title::text"
      publish_time: "span.date::text, div.info span::text, em.time::text"
      source: "span.source::text, div.info em::text"
      content: "div.news_cont_d_wrap, div.article-content, div.TRS_Editor, div.content"
      attachment_css: >-
        a[href$='.pdf'], a[href$='.doc'], a[href$='.docx'],
        a[href$='.xls'], a[href$='.xlsx'], a[href$='.zip']
    schedule: "0 3 * * *"
    enabled: false
